Bug 1040433 (python-funcparserlib) - Review Request: python-funcparserlib - Recursive descent parsing library based on functional combinators
Summary: Review Request: python-funcparserlib - Recursive descent parsing library base...
Keywords:
Status: CLOSED ERRATA
Alias: python-funcparserlib
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 12:27 UTC by Dridi Boukelmoune
Modified: 2014-04-07 03:27 UTC (History)
2 users (show)

Fixed In Version: python-webcolors-1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-07 03:27:16 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dridi Boukelmoune 2013-12-11 12:27:54 UTC
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-funcparserlib.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-funcparserlib-0.3.6-1.fc19.src.rpm
Description:
Parser combinators are just higher-order functions that take parsers as their
arguments and return them as result values. Parser combinators are:
* First-class values
* Extremely composable
* Tend to make the code quite compact
* Resemble the readable notation of xBNF grammars

Parsers made with funcparserlib are pure-Python LL(*) parsers. It means that
it's very easy to write them without thinking about look-aheads and all that
hardcore parsing stuff. But the recursive descent parsing is a rather slow
method compared to LL(k) or LR(k) algorithms.

So the primary domain for funcparserlib is parsing little languages or external
DSLs (domain specific languages).

Fedora Account System Username: dridi

Comment 1 Miro Hrončok 2013-12-17 14:45:19 UTC
This package is accepted.

(The only issue is that the date in %changelog differs in SRPM and SPEC and that will be not possible in git.)

Note:

There is egg-info in the sources and you are not removing it, but as far as I understand the guidelines, this is only about binary-egginfo and nothing binary is here.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-funcparserlib
[?]: Package functions as described.
[x]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-funcparserlib-0.3.6-1.fc20.noarch.rpm
          python3-funcparserlib-0.3.6-1.fc20.noarch.rpm
          python-funcparserlib-0.3.6-1.fc20.src.rpm
python-funcparserlib.noarch: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python-funcparserlib.noarch: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python-funcparserlib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-funcparserlib.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
python-funcparserlib.noarch: W: spelling-error %description -l en_US xBNF -> unfix, PNG
python-funcparserlib.noarch: W: spelling-error %description -l en_US aheads -> ahead, heads, a heads
python3-funcparserlib.noarch: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python3-funcparserlib.noarch: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python3-funcparserlib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-funcparserlib.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
python3-funcparserlib.noarch: W: spelling-error %description -l en_US xBNF -> unfix, PNG
python3-funcparserlib.noarch: W: spelling-error %description -l en_US aheads -> ahead, heads, a heads
python-funcparserlib.src: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python-funcparserlib.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python-funcparserlib.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-funcparserlib.src: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
python-funcparserlib.src: W: spelling-error %description -l en_US xBNF -> unfix, PNG
python-funcparserlib.src: W: spelling-error %description -l en_US aheads -> ahead, heads, a heads
3 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-funcparserlib python3-funcparserlib
python-funcparserlib.noarch: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python-funcparserlib.noarch: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python-funcparserlib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-funcparserlib.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
python-funcparserlib.noarch: W: spelling-error %description -l en_US xBNF -> unfix
python-funcparserlib.noarch: W: spelling-error %description -l en_US aheads -> ahead, heads, a heads
python3-funcparserlib.noarch: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
python3-funcparserlib.noarch: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
python3-funcparserlib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-funcparserlib.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
python3-funcparserlib.noarch: W: spelling-error %description -l en_US xBNF -> unfix
python3-funcparserlib.noarch: W: spelling-error %description -l en_US aheads -> ahead, heads, a heads
2 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/churchyard/rpmbuild/FedoraReview/1040433-python-funcparserlib/srpm/python-funcparserlib.spec	2013-12-17 15:07:38.825974583 +0100
+++ /home/churchyard/rpmbuild/FedoraReview/1040433-python-funcparserlib/srpm-unpacked/python-funcparserlib.spec	2013-12-11 07:55:38.000000000 +0100
@@ -77,4 +77,4 @@
 
 %changelog
-* Wed Dec 11 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.3.6-1
+* Mon Dec 09 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.3.6-1
 - Initial spec


Requires
--------
python-funcparserlib (rpmlib, GLIBC filtered):
    python(abi)

python3-funcparserlib (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-funcparserlib:
    python-funcparserlib

python3-funcparserlib:
    python3-funcparserlib



Source checksums
----------------
https://pypi.python.org/packages/source/f/funcparserlib/funcparserlib-0.3.6.tar.gz :
  CHECKSUM(SHA256) this package     : b7992eac1a3eb97b3d91faa342bfda0729e990bd8a43774c1592c091e563c91d
  CHECKSUM(SHA256) upstream package : b7992eac1a3eb97b3d91faa342bfda0729e990bd8a43774c1592c091e563c91d


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Command line :./try-fedora-review -b 1040433
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Miro Hrončok 2013-12-17 15:01:35 UTC
(In reply to Miro Hrončok from comment #1)
> This package is accepted.

I meant APPROVED.

Comment 3 Dridi Boukelmoune 2013-12-17 20:34:51 UTC
The changelog issue is a bit embarrassing, my only explanation is that I must live in two different timelines :3

Anyway, an approval right away, that's a first for me, thanks for the review !

Comment 4 Dridi Boukelmoune 2013-12-17 20:39:10 UTC
New Package SCM Request
=======================
Package Name: python-funcparserlib
Short Description: Recursive descent parsing library based on functional combinators
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2013-12-18 12:50:01 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-03-28 19:40:42 UTC
python-webcolors-1.4-1.fc19,python-funcparserlib-0.3.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-webcolors-1.4-1.fc19,python-funcparserlib-0.3.6-2.fc19

Comment 7 Fedora Update System 2014-03-28 19:40:56 UTC
python-webcolors-1.4-1.fc20,python-funcparserlib-0.3.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-webcolors-1.4-1.fc20,python-funcparserlib-0.3.6-2.fc20

Comment 8 Fedora Update System 2014-03-30 06:14:03 UTC
python-webcolors-1.4-1.fc19, python-funcparserlib-0.3.6-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2014-04-07 03:27:16 UTC
python-webcolors-1.4-1.fc20, python-funcparserlib-0.3.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-04-07 03:27:44 UTC
python-webcolors-1.4-1.fc19, python-funcparserlib-0.3.6-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.